## win32vc.mak ##

##----------------------------------------------------------------------
## To compile GLPK with MSVC 6.0 enter the subdirectory where the file
## you are reading is placed and type the command:
##
##    nmake.exe /f win32vc.mak
##
## The following two files will be created in the same subdirectory:
##
##    glpk.lib,   which is GLPK static library, and
##
##    glpsol.exe, which is stand-alone LP/MIP solver
##
## To check if GLPK has been successfully compiled type the command:
##
##    nmake.exe /f win32vc.mak check
##
## Header files needed to use the GLPK static library are contained in
## the subdirectory 'include'.
##----------------------------------------------------------------------

CFLAGS = /nologo /W3

.c.obj:
        cl.exe $(CFLAGS) /Iinclude /Fo$*.obj /c $*.c

all: glpk.lib glpsol.exe

check: glpsol.exe
        glpsol.exe sample\plan.mps

glpk.lib: source\glpavl.obj \
        source\glpbcs1.obj \
        source\glpbcs2.obj \
        source\glpchol.obj \
        source\glpdmp.obj \
        source\glphbsm.obj \
        source\glpies1.obj \
        source\glpies2.obj \
        source\glpies3.obj \
        source\glpinv.obj \
        source\glpipm.obj \
        source\glplib1.obj \
        source\glplib2.obj \
        source\glplib3.obj \
        source\glplpp1.obj \
        source\glplpp2.obj \
        source\glplpt.obj \
        source\glplpx1.obj \
        source\glplpx2.obj \
        source\glplpx3.obj \
        source\glplpx4.obj \
        source\glplpx5.obj \
        source\glplpx6a.obj \
        source\glplpx6b.obj \
        source\glplpx6c.obj \
        source\glplpx7.obj \
        source\glplpx8a.obj \
        source\glplpx8c.obj \
        source\glplpx8d.obj \
        source\glpluf.obj \
        source\glpmat.obj \
        source\glpmip1.obj \
        source\glpmpl1.obj \
        source\glpmpl2.obj \
        source\glpmpl3.obj \
        source\glpmpl4.obj \
        source\glpmps.obj \
        source\glpqmd.obj \
        source\glpspm.obj \
        source\glpspx1.obj \
        source\glpspx2.obj \
        source\glpstr.obj \
        source\glptsp.obj
        lib.exe /out:glpk.lib source\*.obj

glpsol.exe: sample\glpsol.obj glpk.lib
        cl.exe $(CFLAGS) /Feglpsol.exe sample\glpsol.obj glpk.lib

## eof ##
